import React from "react";
import { Flex, Input, Button } from "@chakra-ui/react";

const MessageInput = ({ inputMessage, setInputMessage, handleSendMessage }) => {
    return (
		<Flex w="100%" mt="5" mb="5">
			<Input
				mr="2"
				placeholder="Type a message"
				border="2px solid"
				borderRadius="24px"
				onKeyPress={(e) => {
					if (e.key === "Enter") {
						handleSendMessage();
					}
				}}
				value={inputMessage}
				onChange={(e) => setInputMessage(e.target.value)}
			/>
			<Button
				disabled={inputMessage.trim().length <= 0}
				onClick={handleSendMessage}
			>
				Send
			</Button>
		</Flex>
    );
};

export default MessageInput;